LibreOffice LibreOffice 4.3 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | List of all members
StringResourceWithLocation Service Reference

specifies a service providing access to a resource string table implementing the com::sun::star::resource::XStringResourceWithLocation interface. More...

`import"StringResourceWithLocation.idl";`

Inheritance diagram for StringResourceWithLocation:

## Public Member Functions
| create ([in] string URL, [in] boolean ReadOnly, [in] com::sun::star::lang::Locale locale, [in] string BaseName, [in] string Comment, [in] com::sun::star::task::XInteractionHandler Handler) raises ( ::com::sun::star::lang::IllegalArgumentException )
| is used to initialize the object on its creation. More...
Public Member Functions inherited from XStringResourceWithLocation
void | storeAsURL ([in] string URL) raises ( com::sun::star::uno::Exception )
| Stores all string table data to a location and associates this location to this instance as if setLocation() was called with this location. More...
void | setURL ([in] string URL) raises ( ::com::sun::star::lang::IllegalArgumentException )
| Associates a location to the StringResourceWithStorage instance which is used on subsequent calls of store(). More...
Public Member Functions inherited from XStringResourcePersistence
void | store () raises ( com::sun::star::lang::NoSupportException, com::sun::star::uno::Exception )
| Stores all string table data respectively all data modified since the last call to store() to the location or storage associated with the StringResourceManager. More...
boolean | isModified ()
| provides the current modify state of the StringResourceManager instance. More...
void | setComment ([in] string Comment)
| Sets the comment stored first in each locale data file. More...
void | storeToStorage ([in]::com::sun::star::embed::XStorage Storage, [in] string BaseName, [in] string Comment) raises ( com::sun::star::uno::Exception )
| Stores all string table data to the provided storage. More...
void | storeToURL ([in] string URL, [in] string BaseName, [in] string Comment, [in] com::sun::star::task::XInteractionHandler Handler) raises ( com::sun::star::uno::Exception )
| Stores all string table data to the location specified by the passed URL string. More...
sequence< byte > | exportBinary ()
| Returns a sequence of byte representing the complete string resource in a binary format. More...
void | importBinary ([in] sequence< byte > Data) raises ( com::sun::star::lang::IllegalArgumentException )
| Initializes the string resource with binary data. More...
Public Member Functions inherited from XStringResourceManager
boolean | isReadOnly ()
| Returns the resource's read only state. More...
void | setCurrentLocale ([in] com::sun::star::lang::Locale Locale, [in] boolean FindClosestMatch) raises ( com::sun::star::lang::IllegalArgumentException )
| Sets the locale to be used. More...
void | setDefaultLocale ([in] com::sun::star::lang::Locale Locale) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::NoSupportException )
| Sets the default locale to be used. More...
void | setString ([in] string ResourceID, [in] string Str) raises ( com::sun::star::lang::NoSupportException )
| Associates a String to a Resource ID for the current locale. More...
void | setStringForLocale ([in] string ResourceID, [in] string Str, [in] com::sun::star::lang::Locale locale) raises ( com::sun::star::lang::NoSupportException )
| Associates a String to a Resource ID for a specific locale. More...
void | removeId ([in] string ResourceID) raises ( com::sun::star::resource::MissingResourceException, com::sun::star::lang::NoSupportException )
| Removes a Resource ID including the corresponding string for the current locale. More...
void | removeIdForLocale ([in] string ResourceID, [in] com::sun::star::lang::Locale locale) raises ( com::sun::star::resource::MissingResourceException, com::sun::star::lang::NoSupportException )
| Removes a Resource ID including the corresponding string for s specific locale. More...
void | newLocale ([in] com::sun::star::lang::Locale locale) raises ( com::sun::star::container::ElementExistException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::NoSupportException )
| Creates a new locale. More...
void | removeLocale ([in] com::sun::star::lang::Locale locale) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::NoSupportException )
| Removes a locale completely including the corresponding strings for each locale. More...
long | getUniqueNumericId () raises ( com::sun::star::lang::NoSupportException )
| Provides a numeric id that is unique within all Resource IDs used in the string table. More...
Public Member Functions inherited from XStringResourceResolver
string | resolveString ([in] string ResourceID) raises ( com::sun::star::resource::MissingResourceException )
| Resolves the passed ResoureID for the current locale. More...
string | resolveStringForLocale ([in] string ResourceID, [in] com::sun::star::lang::Locale locale) raises ( com::sun::star::resource::MissingResourceException )
| Resolves the passed ResoureID for a specific locale. More...
boolean | hasEntryForId ([in] string ResourceID)
| Checks if the resource contains an entry for the given ResourceID and current locale. More...
boolean | hasEntryForIdAndLocale ([in] string ResourceID, [in] com::sun::star::lang::Locale locale)
| Checks if the resource contains an entry for the given ResourceID and locale. More...
sequence< string > | getResourceIDs ()
| Returns a sequence of all valid Resource IDs for the current locale. More...
sequence< string > | getResourceIDsForLocale ([in] com::sun::star::lang::Locale locale)
| Returns a sequence of all valid Resource IDs for a specific locale. More...
com::sun::star::lang::Locale | getCurrentLocale ()
| Returns the current locale specified in the accessed resource. More...
com::sun::star::lang::Locale | getDefaultLocale ()
| Returns the default locale of the accessed resource. More...
sequence < com::sun::star::lang::Locale > | getLocales ()
| Returns a sequence of all supported locales. More...
Public Member Functions inherited from XModifyBroadcaster
void | addModifyListener ([in] com::sun::star::util::XModifyListener aListener)
| adds the specified listener to receive events "modified." More...
void | removeModifyListener ([in] com::sun::star::util::XModifyListener aListener)
| removes the specified listener. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

specifies a service providing access to a resource string table implementing the com::sun::star::resource::XStringResourceWithLocation interface.

## Member Function Documentation

create | ( | [in] string | URL,
|  | [in] boolean | ReadOnly,
|  | [in] com::sun::star::lang::Locale | locale,
|  | [in] string | BaseName,
|  | [in] string | Comment,
|  | [in] com::sun::star::task::XInteractionHandler | Handler
| ) |  |
raises | ( | ::com::sun::star::lang::IllegalArgumentException
| ) |  |

is used to initialize the object on its creation.

Parameters

  URL | Specifies the location used to load and store - if the ReadOnly state allows it - the string table data.
  ReadOnly | Specifies if the resource should be read only, see `XStringResourceManager::isReadOnly`
  locale | Specifies if the locale first to be used as current locale. Internally the `XStringResourceManager::setCurrentLocale` method is called with FindClosestMatch=true. see `XStringResourceManager::setCurrentLocale`
  BaseName | Base string for the file names used to store the locale data. The locale data is stored in Java properties files also following the corresponding naming scheme. The files will be named like this: "[BaseName]_[Language]_[Country].properties", e.g. "MyBaseName_en_US.properties" If an empty string is passed for BaseName, "strings" will be used as BaseName.
  Comment | Comment stored first in each properties file followed by a line feed character. The line feed character is added automatically and hasn't to be part of the comment string. The caller is responsible that the passed string is a valid comment in a Java properties file, e.g. "# My strings". The string may be empty.
  Handler | a com::sun::star::task::XInteractionHandler to be passed to ucb. This may be a null interface.

Exceptions

  com::sun::star::lang::IllegalArgumentException | if no string or an empty string is passed as URL

The documentation for this service was generated from the following file:

- com/sun/star/resource/StringResourceWithLocation.idl